* MAX427 FAMILY MACROMODELS
* -------------------------
** FEATURES:
* 15uV Max Offset Voltage 
* 8MHz Gain-Bandwidth Product 
* 117dB Min CMRR
* Low Noise Performance: 4.5nV/rt.Hz Max (20Hz)
*                        3.8nV/rt.Hz Max (1KHz)
* Available in 8-Pin DIP/SO
*
*   ////////////// MAX427 MACROMODEL //////////////////
*
*   ====>      REFER TO MAX427 DATA SHEET       <====
*
*
* connections:        non-inverting input
*                     |   inverting input
*                     |   |   positive power-supply
*                     |   |   |   negative power-supply
*                     |   |   |   |   output
*                     |   |   |   |   |
* NODE CONNECTIONS:   1   2   99  50  97
*
.SUBCKT MAX427 1 2 99 50 97
****************INPUT STAGE**********************
*
IOS 2 1 40N
I1 4 50 2.2MA
GIN 2 1 2 1 1.4E-10
CIN 1 2 1.5PF
G16 0 1 106 0 .87E-3
G19 0 2 109 0 .87E-3
****VCCS NOISE INPUT CURRENTS****
G1 5 99 5 99 42.6E-3
G2 6 99 6 99 42.6E-3
EOS 1 3 POLY(1) 98 30 5U 1
*               ^       OFFSET VOLTAGE
EN 3 9 POLY(1) 103 0 0 1
Q1 5 2 4 QX
Q2 6 9 4 QX
Dsub 50 99 DX       
C4 5 6 1.42E-10
*
*****************NOISE GENERATORS**************
*
***VOLTAGE NOISE GENERATOR***
VN1 101 0 2V
VN2 0 102 2V 
DN1 101 103 D1
DN2 103 102 D1
.MODEL D1 D(KF=.1E-15 RS=703)
****CURRENT NOISE GENERATOR + IN****
VN3 104 0 2V
VN4 0 105 2V
DN3 104 106 D2
DN4 106 105 D2
****CURRENT NOISE GENERATOR - IN****
VN5 107 0 2V
VN6 0 108 2V
DN5 107 109 D2
DN6 109 108 D2
.MODEL D2 D(KF=60E-16 RS=18)
*
***************SECOND STAGE******************
*
****OUTPUT VOLTAGE LIMITING****
V2 99 11 1.93
D1 12 11 DX
D2 10 12 DX
V3 10 50 1.93
****LEVEL TRANSLATION ****
EH 99 98 99 50 0.5
****GAIN, 1ST POLE****
G3 98 12 5 6 0.0395
*1ST POLE .4HZ,AVOL 20E6
G4 12 98 12 98 1.9747E-9
C3 98 12 7.857E-10
*
**************FREQUENCY SHAPING STAGES********
*
****POLE STAGE****
G5 98 15 12 98 1E-3 
G6 98 15 98 15 1E-3
D13 50 15 DX
*R5 98 15 1E3
C5 98 15 2.45E-12
****DELAY STAGE****
ED 16 98 15 98 1
RD1 16 17 2.0
RD2 17 18 2.0
RD3 18 19 2.0
CD1 17 98 1.8PF
CD2 18 98 1.8PF
CD3 19 98 1.8PF
****COMMON-MODE STAGE****
G11 98 30 4 98 316E-12
G13 30 98 30 98 1E-3
D11 50 30 DX
*
*******************OUTPUT STAGE****************
F6 99 50 VA7 1
F5 99 38 VA8 1
D9 40 38 DX
D10 38 99 DX
VA7 99 40 0
****************
G12 98 32 19 98 1E-3
R15 98 32 1E3
D3 32 36 DX
D4 37 32 DX
V5 35 37 1.6v
V4 36 35 1.6V
R16 34 35 70
E1 99 33 99 32 1
VA8 33 34 0V
L 35 97 200P
*
***** MODELS USED ******
.MODEL DX D(IS=1E-15)
.MODEL QX NPN(BF=110E3)
*BF relates to 10nA Ib.
.ends
*
