* OPA621X OPERATIONAL AMPLIFIER SUBCIRCUIT
* "X" IS SIMPLIFIED CIRCUIT MODEL
* REV.B  3/16/90   PWT
*
*  ------------------------------------------------------------------------ 
* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |
* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |
* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |
* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |
* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |
* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |
* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |
* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |
* |                                                                        |
* |  COPYRIGHT 1989 BURR-BROWN CORPORATION                                 |
* |  NEITHER THIS LIBRARY NOR ANY PART MAY BE COPIED WITHOUT THE EXPRESS   |
* |  WRITTEN CONSENT OF BURR-BROWN CORPORATION                             |
* |                                                                        |
*  ------------------------------------------------------------------------
*
* USERS SHOULD VERY CAREFULLY NOTE THE FOLLOWING FACTORS REGARDING THESE
* MODELS:
*
*	THE MODELS ARE VALID ONLY AT AN AMBIENT TEMPERATURE OF 25 DEGREES
*	CENTIGRADE, AND AT SUPPLY VOLTAGES OF +/-5VDC.
*
*	THIS SIMPLIFIED CIRCUIT USES ACTUAL TRANSISTORS INSTEAD OF
*	MATHEMATICAL MODELING IN ORDER TO MORE CLOSELY MODEL DEVICE
*	PERFORMANCE.  AS SUCH, REASONABLY ACCURATE SIMULATIONS OF GAIN/PHASE,
*	PULSE RESPONSE, DISTORTION, AND NOISE ARE POSSIBLE.  THIS CAPABILITY
*	CAN BE ESPECIALLY VALUABLE TO DESIGNERS OF VIDEO AND RF SYSTEMS.
*
*	THIS SIMPLIFIED CIRCUIT IS BEING SUPPLIED TO USERS AS AN AID TO
*	CIRCUIT DESIGNS.  WHILE IT REFLECTS REASONABLY CLOSE SIMILARITY
*	TO THE ACTUAL DEVICE IN TERMS OF PERFORMANCE, IT IS NOT SUGGESTED
*	AS A REPLACEMENT FOR BREADBOARDING.  SIMULATION SHOULD BE USED AS
*	A FORERUNNER OR A SUPPLEMENT TO TRADITIONAL LAB TESTING.
*
*	MODEL USERS ARE HEREBY NOTIFIED THAT THESE MODELS ARE SUPPLIED
*	"AS IS", WITH NO DIRECT OR IMPLIED RESPONSIBILITY ON THE PART OF
*	BURR-BROWN FOR THEIR OPERATION WITHIN A CUSTOMER CIRCUIT OR SYSTEM.
*	FURTHER, BURR-BROWN CORPORATION RESERVES THE RIGHT TO CHANGE THESE
*	MODELS WITHOUT PRIOR NOTICE.
*
*	IN ALL CASES, THE CURRENT DATA SHEET INFORMATION FOR A GIVEN REAL
*	DEVICE IS YOUR FINAL DESIGN GUIDELINE, AND IS THE ONLY ACTUAL
*	PERFORMANCE GUARANTEE.
*
*-----------------------------------------------------------------------------
* CONNECTIONS:    NON-INVERTING INPUT
*                 | INVERTING INPUT
*                 | | POSITIVE POWER SUPPLY
*                 | | | NEGATIVE POWER SUPPLY
*                 | | | | OUTPUT
*                 | | | | |
.SUBCKT OPA621X   1 2 3 4 5
*
C1       20  4   2PF
I1       18  15  1.3MA
I2       24  4   3.5MA
I3       3   25  3.5MA
Q1       9   1   11  4 NPN 2
Q2       10  2   12  4 NPN 2
Q3       13  15  14  4 NPN 4
Q4       15  15  16  4 NPN 1
Q5       18  18  17  3 PNP 0.5
Q6       19  18  9   3 PNP
Q7       20  18  10  3 PNP
Q8       20  19  21  4 NPN 2
Q9       19  21  22  4 NPN 2
Q10      21  21  23  4 NPN 2
Q11      3   20  24  4 NPN 20
Q12      4   20  25  3 PNP 20
Q13      3   25  5   4 NPN 40
Q14      4   24  5   3 PNP 40
R1       3   9   250
R2       3   10  250
R3       11  13  35
R4       12  13  35
R5       14  4   62.5
R6       16  4   250
R7       3   17  1K
R8       22  4   250
R9       23  4   250
*DEVICE MODELS COPYRIGHT 1989, AT&T. REPRINTED WITH PERMISSION.
*
.MODEL NPN NPN RB=63.71 IRB=0 RBM=29.0 RC=16.67 RE=1.667
+IS=111E-18 EG=1.206 XTI=2 XTB=2.363 BF=234.2
+IKF=5.838E-3 NF=1.0 VAF=30.00 ISE=35.1E-16 NE=1.999
+BR=4 IKR=10E6 NR=1.0 VAR=3.00 ISC=2.34E-20 NC=1.653
+TF=32.4E-12 TR=32.4E-11 CJE=.2E-12 VJE=1.104
+MJE=0.495 CJC=0.286E-13 VJC=0.508 MJC=0.3345 XCJC=1.00
+CJS=0.505E-12 VJS=0.793 MJS=0.167 FC=0.5 AF=1 KF=15F
*
.MODEL PNP PNP RB=25.87 IRB=0 RBM=11.98 RC=126.32 RE=1.667
+IS=285.3E-18 EG=1.206 XTI=1.5 XTB=2.053 BF=119.3
+IKF=7.254E-3 NF=1 VAF=28.0 ISE=88E-16 NE=1.557
+BR=4 IKR=10E6 NR=1 VAR=1.4 ISC=4.01E-16 NC=1.634
+TF=48E-12 TR=65E-11 CJE=.186E-12 VJE=0.892
+MJE=0.493 CJC=.518E-13 VJC=0.611 MJC=0.335 XCJC=1.00
+CJS=1.072PF VJS=0.469 MJS=0.1875 FC=0.5 AF=1 KF=15F
.ENDS
