* OPA640X - WIDEBAND VOLTAGE FEEDBACK OPERATIONAL AMPLIFIER MACROMODEL
*
* CREATED 11/21/93   DS
* REV. A
*
*  ------------------------------------------------------------------------ 
* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |
* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |
* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |
* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |
* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |
* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |
* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |
* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |
*  ------------------------------------------------------------------------ 
* |-------------------------------------------------------------|
* |  This macro model is being supplied as an aid to            |
* |  circuit designs.  While it reflects reasonably close       |
* |  similarity to the actual device in terms of performance,   |
* |  it is not suggested as a replacement for breadboarding.    |
* |  Simulation should be used as a forerunner or a supplement  |
* |  to traditional lab testing.                                |
* |-------------------------------------------------------------|
*
* NOTE : SUGGESTED TEST CIRCUIT
*          X1       83  84  81  81  82  80  80  OPA640X
*          VCC      80  0   DC 5V
*          VEE      0   81  DC 5V
*          CFB      83  82  .15E-12
*          RFB      86  82  25
*          LFB      83  86  2.2E-9
*          VIN      85  0   AC 1 DC 0 PWL ( 0N -1 1N 1 20N 1 21N -1 )
*          RSOURCE  85  84  25
*          RL       82  0   100
*          CL       82  0   2E-12
*********************************************************
* CONNECTIONS:  INVERTING INPUT
*               |   NON-INVERTING INPUT
*               |   |   NEGATIVE POWER SUPPLY
*               |   |   |   NEGATIVE OUTPUT POWER SUPPLY 
*               |   |   |   |   OUTPUT
*               |   |   |   |   |   POSITIVE POWER SUPPLY
*               |   |   |   |   |   |   POSITIVE OUTPUT POWER SUPPLY
*               |   |   |   |   |   |   |
.SUBCKT OPA640X 13  14  11  9   12  10  8  
**
Q34      41  43  4   2 NPN1 10
Q33      41  42  1   1 PNP1 10
Q32      43  43  4   2 NPN1 20
Q31      43  40  41  1 PNP1 36
Q30      42  37  41  2 NPN1 36
Q29      42  42  1   1 PNP1 20
Q28      40  39  38  2 NPN1 2
Q15      29  30  31  2 NPN1 4
Q27      1   33  40  2 NPN1 24
Q26      4   33  37  1 PNP1 24
Q25      37  36  35  1 PNP1 2
Q24      39  38  4   2 NPN1 1
Q23      36  35  1   1 PNP1 1
Q14      28  26  17  3 PNP1 4
Q7       24  24  25  2 NPN1 1
Q18      15  26  16  3 PNP1 4
Q21      21  15  33  2 NPN1 2
Q22      33  24  34  2 NPN1 2
Q20      30  30  32  2 NPN1 4
Q19      15  29  30  2 NPN1 4
Q1       17  7   18  2 NPN1 12
Q10      26  26  44  3 PNP1 1
Q3       20  24  23  2 NPN1 8
Q2       16  6   19  2 NPN1 12
Q6       27  26  45  3 PNP1 1
Q11      22  27  26  3 PNP1 1
R3       18  20  60
R5       19  20  60
C2       21  22  20E-12
C3       1   4   28E-12
R11      21  44  2E3
R8       21  45  2E3
R12      21  17  250
R22      2   4   20
R2       2   22  20
R4       23  22  125
ISOUR    27  24  450E-6
V1       28  29  3.26
R13      31  22  80
R15      32  22  80
C8       30  22  1.0E-12
C6       15  22  4.6E-12
R16      34  22  320
R14      21  16  250
R9       25  22  1E3
R18      1   35  450
R19      38  4   450
R20      41  5   10
R21      1   3   20
R1       3   21  20
I1       36  39  500E-6
*
* PACKAGE PARASITICS
*
CINV     13  0   0.75E-12
L10P     66  68  1.5E-9
L6P      63  64  1.08E-9
L2P      60  61  1.08E-9
C1P      15  2   .15E-12
C30P     77  2   .0425E-12
C29P     5   2   .15E-12
C2P      6   2   .15E-12
L5P      65  7   .7E-9
C3P      61  2   .0425E-12
C4P      61  64  .05E-12
C8P      7   2   .15E-12
C9P      64  2   .0425E-12
C10P     64  68  .05E-12
C14P     2   2   .15E-12
C15P     68  2   .0125E-12
C16P     1   2   .15E-12
C17P     71  2   .0125E-12
C18P     71  74  .05E-12
C22P     3   2   .15E-12
C23P     74  2   .0425E-12
C24P     74  77  .05E-12
C31P     77  80  .05E-12
C35P     4   2   .15E-12
C36P     80  2   .0125E-12
L1P      62  6   .7E-9
L9P      69  2   .7E-9
L14P     70  1   .7E-9
L15P     72  71  1.5E-9
L18P     73  3   .7E-9
L19P     75  74  1.08E-9
L22P     76  5   .7E-9
L23P     78  77  1.08E-9
L27P     79  4   .7E-9
L28P     81  80  1.5E-9
L31P     82  2   .7E-9
L13P     2   67  .7E-9
R1P      61  62  .01
R2P      13  60  .1
R6P      64  65  .01
R7P      14  63  .1
R11P     68  69  .01
R12P     11  66  .1
R16P     67  68  .01
R17P     71  70  .01
R18P     8   72  .1
R22P     74  73  .01
R23P     10  75  .1
R27P     77  76  .01
R28P     12  78  .1
R33P     80  79  .01
R34P     9   81  .1
R38P     80  82  .01
* 
* MODELS USED
*
.MODEL NPN1 NPN
+ IS  = 4.647E-17  BF   = 2.293E+02  NF  = 1.000E+00  VAF = 4.398E+01
+ IKF = 7.233E-03  ISE  = 1.222E-14  NE  = 2.000E+00  BR  = 3.695E+01
+ NR  = 1.000E+00  VAR  = 1.494E+00  IKR = 1.667E+05  ISC = 1.057E-14
+ NC  = 1.653E+00  RB   = 3.170E+02  IRB = 0.000E+00  RBM = 1.500E+02
+ RE  = 1.133E+01  RC   = 2.768E+01  CJE = 2.070E-14  VJE = 7.414E-01
+ MJE = 4.950E-01  TF   = 1.150E-11  XTF = 2.452E+01  VTF = 1.029E+00
+ ITF = 1.878E-02  PTF  = 0.000E+00  CJC = 3.661E-14  VJC = 6.465E-01
+ MJC = 4.509E-01  XCJC = 1.270E-01  TR  = 3.240E-10  CJS = 5.326E-14
+ VJS = 5.291E-01  MJS  = 4.389E-01  XTB = 1.218E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 8.614E-01
.MODEL PNP1 PNP
+ IS  = 2.628E-17  BF   = 1.478E+02  NF  = 1.000E+00  VAF = 3.106E+01
+ IKF = 3.115E-03  ISE  = 8.930E-17  NE  = 1.283E+00  BR  = 3.061E+03
+ NR  = 1.000E+00  VAR  = 1.448E+00  IKR = 5.000E-03  ISC = 1.061E-14
+ NC  = 1.634E+00  RB   = 2.794E+02  IRB = 0.000E+00  RBM = 1.544E+02
+ RE  = 7.452E+00  RC   = 1.142E+02  CJE = 2.038E-14  VJE = 7.470E-01
+ MJE = 4.930E-01  TF   = 1.434E-11  XTF = 2.216E+01  VTF = 1.072E+00
+ ITF = 2.397E-02  PTF  = 0.000E+00  CJC = 6.106E-14  VJC = 7.743E-01
+ MJC = 5.185E-01  XCJC = 8.499E-02  TR  = 6.500E-10  CJS = 2.855E-13
+ VJS = 9.063E-01  MJS  = 4.931E-01  XTB = 1.181E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 9.014E-01
**
.ENDS
