* OPA641X - WIDEBAND VOLTAGE FEEDBACK OPERATIONAL AMPLIFIER MACROMODEL
* CREATED  7/11/94  DY
* REV. A
*
*  ------------------------------------------------------------------------ 
* |  NOTICE: THE INFORMATION PROVIDED HEREIN IS BELIEVED TO BE RELIABLE;   |
* |  HOWEVER; BURR-BROWN ASSUMES NO RESPONSIBILITY FOR INACCURACIES OR     |
* |  OMISSIONS.  BURR-BROWN ASSUMES NO RESPONSIBILITY FOR THE USE OF THIS  |
* |  INFORMATION, AND ALL USE OF SUCH INFORMATION SHALL BE ENTIRELY AT     |
* |  THE USER'S OWN RISK.  NO PATENT RIGHTS OR LICENSES TO ANY OF THE      |
* |  CIRCUITS DESCRIBED HEREIN ARE IMPLIED OR GRANTED TO ANY THIRD PARTY.  |
* |  BURR-BROWN DOES NOT AUTHORIZE OR WARRANT ANY BURR-BROWN PRODUCT FOR   |
* |  USE IN LIFE-SUPPORT DEVICES AND/OR SYSTEMS.                           |
*  ------------------------------------------------------------------------ 
*
* CONNECTIONS:  INVERTING INPUT
*               |   NON-INVERTING INPUT
*               |   |   NEGATIVE POWER SUPPLY
*               |   |   |   NEGATIVE OUTPUT POWER SUPPLY
*               |   |   |   |   OUTPUT
*               |   |   |   |   |   POSITIVE POWER SUPPLY
*               |   |   |   |   |   |   POSITIVE OUTPUT POWER SUPPLY
*               |   |   |   |   |   |   |
.SUBCKT OPA641X 13  14  11  9   12  10  8
**
Q34      41  43  4   2 NPN1 10
Q33      41  42  1   1 PNP1 10
Q32      43  43  4   2 NPN1 20
Q31      43  40  41  1 PNP1 36
Q30      42  37  41  2 NPN1 36
Q29      42  42  1   1 PNP1 20
Q28      40  39  38  2 NPN1 2
Q15      29  30  31  2 NPN1 4
Q27      1   33  40  2 NPN1 24
Q26      4   33  37  1 PNP1 24
Q25      37  36  35  1 PNP1 2
Q24      39  38  4   2 NPN1 1
Q23      36  35  1   1 PNP1 1
Q14      28  26  17  3 PNP1 4
Q7       24  24  25  2 NPN1 1
Q18      15  26  16  3 PNP1 4
Q21      21  15  33  2 NPN1 2
Q22      33  24  34  2 NPN1 2
Q20      30  30  32  2 NPN1 4
Q19      15  29  30  2 NPN1 4
Q1       17  7   18  2 NPN1 12
Q10      26  26  44  3 PNP1 1
Q3       20  24  23  2 NPN1 8
Q2       16  6   19  2 NPN1 12
Q6       27  26  45  3 PNP1 1
Q11      22  27  26  3 PNP1 1
R3       18  20  60
R5       19  20  60
C2       21  22  20E-12
C3       1   4   28E-12
R11      21  44  2K
R8       21  45  2K
R12      21  17  250
R22      2   4   20
R2       2   22  20
R4       23  22  125
ISOUR    27  24  DC 450E-6
V1       28  29  DC 3.2
R13      31  22  80
R15      32  22  80
C8       30  22  0.6E-12
C6       15  22  2.3E-12
R16      34  22  320
R14      21  16  250
R9       25  22  1K
R18      1   35  500
R19      38  4   500
R20      41  5   10
R21      1   3   20
R1       3   21  20
I1       36  39  DC 500E-6
C4       6   5   2.0E-12
*
* PACKAGE PARASITICS
*
CINV     13  0   0.75E-12
L10P     56  58  1.5E-9
L6P      53  54  1.08E-9
L2P      50  51  1.08E-9
C1P      15  2   .15E-12
C30P     67  2   .0425E-12
C29P     5   2   .15E-12
C2P      6   2   .15E-12
L5P      55  7   .7E-9
C3P      51  2   .0425E-12
C4P      51  54  .05E-12
C8P      7   2   .15E-12
C9P      54  2   .0425E-12
C10P     54  58  .05E-12
C14P     2   2   .15E-12
C15P     58  2   .0125E-12
C16P     1   2   .15E-12
C17P     61  2   .0125E-12
C18P     61  64  .05E-12
C22P     3   2   .15E-12
C23P     64  2   .0425E-12
C24P     64  67  .05E-12
C31P     67  70  .05E-12
C35P     4   2   .15E-12
C36P     70  2   .0125E-12
L1P      52  6   .7E-9
L9P      59  2   .7E-9
L14P     60  1   .7E-9
L15P     62  61  1.5E-9
L18P     63  3   .7E-9
L19P     65  64  1.08E-9
L22P     66  5   .7E-9
L23P     68  67  1.08E-9
L27P     69  4   .7E-9
L28P     71  70  1.5E-9
L31P     72  2   .7E-9
L13P     2   57  .7E-9
R1P      51  52  .01
R2P      13  50  .1
R6P      54  55  .01
R7P      14  53  .1
R11P     58  59  .01
R12P     11  56  .1
R16P     57  58  .01
R17P     61  60  .01
R18P     8   62  .1
R22P     64  63  .01
R23P     10  65  .1
R27P     67  66  .01
R28P     12  68  .1
R33P     70  69  .01
R34P     9   71  .1
R38P     70  72  .01
*
* MODELS USED
*
.MODEL NPN1 NPN
+ IS  = 4.647E-17  BF   = 2.293E+02  NF  = 1.000E+00  VAF = 4.398E+01
+ IKF = 7.233E-03  ISE  = 1.222E-14  NE  = 2.000E+00  BR  = 3.695E+01
+ NR  = 1.000E+00  VAR  = 1.494E+00  IKR = 1.667E+05  ISC = 1.057E-14
+ NC  = 1.653E+00  RB   = 3.170E+02  IRB = 0.000E+00  RBM = 1.500E+02
+ RE  = 1.133E+01  RC   = 2.768E+01  CJE = 2.070E-14  VJE = 7.414E-01
+ MJE = 4.950E-01  TF   = 1.150E-11  XTF = 2.452E+01  VTF = 1.029E+00
+ ITF = 1.878E-02  PTF  = 0.000E+00  CJC = 3.661E-14  VJC = 6.465E-01
+ MJC = 4.509E-01  XCJC = 1.270E-01  TR  = 3.240E-10  CJS = 5.326E-14
+ VJS = 5.291E-01  MJS  = 4.389E-01  XTB = 1.218E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 8.614E-01
.MODEL PNP1 PNP
+ IS  = 2.628E-17  BF   = 1.478E+02  NF  = 1.000E+00  VAF = 3.106E+01
+ IKF = 3.115E-03  ISE  = 8.930E-17  NE  = 1.283E+00  BR  = 3.061E+03
+ NR  = 1.000E+00  VAR  = 1.448E+00  IKR = 5.000E-03  ISC = 1.061E-14
+ NC  = 1.634E+00  RB   = 2.794E+02  IRB = 0.000E+00  RBM = 1.544E+02
+ RE  = 7.452E+00  RC   = 1.142E+02  CJE = 2.038E-14  VJE = 7.470E-01
+ MJE = 4.930E-01  TF   = 1.434E-11  XTF = 2.216E+01  VTF = 1.072E+00
+ ITF = 2.397E-02  PTF  = 0.000E+00  CJC = 6.106E-14  VJC = 7.743E-01
+ MJC = 5.185E-01  XCJC = 8.499E-02  TR  = 6.500E-10  CJS = 2.855E-13
+ VJS = 9.063E-01  MJS  = 4.931E-01  XTB = 1.181E+00  EG  = 1.184E+00
+ XTI = 2.000E+00  KF   = 0.000E+00  AF  = 1.000E+00  FC  = 9.014E-01
**
.ENDS OPA641X
*
****************** OPA641 TEST CIRCUIT ******************
*
*X1       83  84  81  81  82  80  80  OPA641
*VCC      80  0   DC 5V
*VEE      0   81  DC 5V
*CFB      83  82  .15E-12
*RFB      86  82  400
*LFB      83  86  2.2E-9
*RFF      83  87  400
*LFF      87  0   2.2E-9
*CFF      83  0   .15E-12
*VIN      85  0   PWL ( 0N -1 1N 1 49N 1 50N -1 )
*RSOURCE  85  84  25
*RL       82  0   100
*CL       82  0   5E-12
*.END
********************************************************
